// tutor
package models

type Tutor struct {
	Id    int
	Name  string
	Email string
}

type TutorRepository interface {
	FindByEmail(Email string) ([]Tutor, error)
	FindByNameAndEmail(name string, email string) (Tutor, error)
	FindById(Id int) (Tutor, error)
	GetAll() ([]Tutor, error)
	Add(tutor Tutor) (int, error)
}
