--
-- Table structure for table `room`
--

DROP TABLE IF EXISTS `room`;
CREATE TABLE `room` (
  `id` INTEGER PRIMARY KEY,
  `name` text NOT NULL,
  `max_occupy` int DEFAULT NULL
);

--
-- Table structure for table `request`
--

DROP TABLE IF EXISTS `request`;
CREATE TABLE `request` (
  `id` INTEGER PRIMARY KEY,
  `officeHour` int DEFAULT NULL,
  `action` int DEFAULT NULL,
  `secret` text DEFAULT NULL
);

--
-- Table structure for table `officeHour`
--

DROP TABLE IF EXISTS `officeHour`;
CREATE TABLE `officeHour` (
  `id` INTEGER PRIMARY KEY,
  `tutor` int DEFAULT NULL,
  `day` int DEFAULT NULL,
  `hour` int DEFAULT NULL,
  `minute` int DEFAULT NULL,
  `room` int DEFAULT NULL,
  `course` int DEFAULT NULL,
  `week` int DEFAULT NULL,
  `info` text DEFAULT NULL,
  `active` bool DEFAULT NULL,
  `duration` int DEFAULT NULL
);

--
-- Table structure for table `tutor`
--

DROP TABLE IF EXISTS `tutor`;
CREATE TABLE `tutor` (
  `id` INTEGER PRIMARY KEY,
  `name` tinytext DEFAULT NULL,
  `email` tinytext DEFAULT NULL
);

--
-- Table structure for table `course`
--

DROP TABLE IF EXISTS `course`;
CREATE TABLE `course` (
  `id` INTEGER PRIMARY KEY,
  `name` varchar(255) DEFAULT NULL
);
